generator:
  class:              sfPropel13AdminGenerator
  param:
    model_class:      Promotion
    theme:            emailpassion

    list:
      max_per_page:   20
      title:          Liste des promotions
      filters:        [ _supplier, _category, begin_date, end_date ]
      display:        [ _list_image_file_name, article, _list_size, _list_supplier, percent, begin_date, end_date ]
      fields:
        category:             { name: Cat. niv. 1 }
        list_image_file_name: { name: Vignette }
        article:              { name: Article }
        list_size:            { name: Taille }
        supplier:             { name: Fournisseur }
        list_supplier:        { name: Fournisseur }
        percent:              { name: Pourcentage }
        begin_date:           { name: D&eacute;but, params: date_format='dd/MM/yyyy' }
        end_date:             { name: Fin, params: date_format='dd/MM/yyyy' }
      object_actions:
        _delete:           ~
      actions:
        _create:           ~
        _delete_all:       { name: Supprimer la s&eacute;lection, action: deleteSelection, params: confirm=Voulez vraiment supprimer ces promotions? }

    edit:
      title:                   Nouvelle Promotion
      display:          
        "Pourcentage de r&eacute;duction":  [ percent ]
        "Date":                             [ begin_date, end_date ]
        "Articles":                         [ _edit_supplier, _edit_category ]
      fields:
        edit_supplier:         { name: Fournisseur }
        edit_category:         { name: Cat. niv. 1, help: "Apr&egrave;s avoir choisi le niveau de cat&eacute;gories d&eacute;sir&eacute;es, cochez les articles que vous voulez mettre en promotion" }
        begin_date:            { name: D&eacute;but, params: date_format='dd/MM/yyyy' }
        end_date:              { name: Fin, params: date_format='dd/MM/yyyy', help: "Vous pouvez entrer une date de d&eacute;but et/ou de fin de promotion" }
        percent:               { name: Pourcentage }
      actions:
        _list:                 { action: back }
        _save_and_list:        ~
        _save_and_add:         ~